std::is_placeholder< _Tp >(3)

NAME
std::is_placeholder< _Tp > - Determines if the given type _Tp is a placeholder in a bind() expression and, if so, which placeholder it is.

SYNOPSIS

Inherits std::integral_constant< int, 0 >.

  Public Types
typedef integral_constant< int, __v > type
typedef int value_type

  Public Member Functions
constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes
static constexpr int value

Detailed Description

  template<typename _Tp>
struct std::is_placeholder< _Tp >" Determines if the given type _Tp is a placeholder in a bind() expression and, if so, which placeholder it is. C++11 [func.bind.isplace].

Definition at line 195 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.